﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GridRowsSelectionAfterDBHasBennModified
{
    public partial class Form1 : Form
    {
        DataTable dt;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dt = GetData();
            this.ultraGrid1.DataSource = dt;
            
        }

        public DataTable GetData() 
        {
            string[] names = { "Peter", "Maria", "John", "Vladimir", "Gustavo" };

            DataTable ct = new DataTable("CustomersTable");
            var keys = new DataColumn[1];

            ct.Columns.Add("CustomerID", typeof(int));
            ct.Columns.Add("Name", typeof(string));
            ct.Columns.Add("Date", typeof(DateTime));

            for (int i = 0; i < 100; i++)
            {
                var row = ct.Rows.Add();
                row[0] = i + 1;
                row[1] = names[i%5];
                row[2] = DateTime.Now.AddDays(i * 2);
            }
            keys[0] = ct.Columns["CustomerID"];

            ct.PrimaryKey = keys;
            return ct;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
           
            e.Layout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (dt != null) 
            {
                dt.Rows[0].Delete();
                dt.Rows[0].Delete();
                // if you uncomment the line below the selected rows collection would be cleared 
                //this.ultraGrid1.DataBind();
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (dt != null) 
            {
                DataRow row = dt.NewRow();
                row[0] = dt.Rows.Count+1000;
                row[1] = "William";
                row[2] = DateTime.Now.AddDays((dt.Rows.Count+1) * 2);
                dt.Rows.InsertAt(row, 0);
                // if you uncomment the line below the selected rows collection would be cleared 
                //this.ultraGrid1.DataBind();

            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            string text = "The selected rows are:\n";
            if (this.ultraGrid1.Selected.Rows.Count > 0)
            {
               
                foreach (UltraGridRow rowSelected in this.ultraGrid1.Selected.Rows)
                {
                    text = text + "Row with CustomerID: " + rowSelected.Cells[0].Value.ToString() + Environment.NewLine;
                }
            }
            MessageBox.Show(this.ultraGrid1.Selected.Rows.Count.ToString());
            MessageBox.Show(text);
        }
    }
}

